> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get Shared Conversations

> Get a batch of shared conversations given their ids. Return None for any missing or non-shared.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/shared-conversations
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/shared-conversations:
    get:
      tags:
        - Sharing
      summary: Batch Get Shared Conversations
      description: >-
        Get a batch of shared conversations given their ids. Return None for any
        missing or non-shared.
      operationId: batch_get_shared_conversations_api_shared_conversations_get
      parameters:
        - name: ids
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
            title: Ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/SharedConversation'
                    - type: 'null'
                title: >-
                  Response Batch Get Shared Conversations Api Shared
                  Conversations Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SharedConversation:
      properties:
        id:
          type: string
          title: Id
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        sandbox_id:
          type: string
          title: Sandbox Id
        selected_repository:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected Repository
        selected_branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected Branch
        git_provider:
          anyOf:
            - {}
            - type: 'null'
          title: Git Provider
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        pr_number:
          items:
            type: integer
          type: array
          title: Pr Number
        llm_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm Model
        metrics:
          anyOf:
            - {}
            - type: 'null'
          title: Metrics
        parent_conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Conversation Id
        sub_conversation_ids:
          items:
            type: string
          type: array
          title: Sub Conversation Ids
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - created_by_user_id
        - sandbox_id
      title: SharedConversation
      description: Shared conversation info model with all fields from AppConversationInfo.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````